org.apache.cassandra.metrics

## Interface CassandraMetricsRegistry.JmxTimerMBean

All Superinterfaces:
  CassandraMetricsRegistry.JmxMeterMBean, CassandraMetricsRegistry.MetricMBean

Enclosing class:
  CassandraMetricsRegistry

    public static interface CassandraMetricsRegistry.JmxTimerMBean
    extends CassandraMetricsRegistry.JmxMeterMBean

### Method Summary

All Methods Instance Methods Abstract Methods
`double` `get50thPercentile()`
`double` `get75thPercentile()`
`double` `get95thPercentile()`
`double` `get98thPercentile()`
`double` `get999thPercentile()`
`double` `get99thPercentile()`
`java.lang.String` `getDurationUnit()`
`double` `getMax()`
`double` `getMean()`
`double` `getMin()`
`double` `getStdDev()`
`long[]` `values()`

### Methods inherited from interface org.apache.cassandra.metrics.CassandraMetricsRegistry.JmxMeterMBean

`getCount, getFifteenMinuteRate, getFiveMinuteRate, getMeanRate, getOneMinuteRate, getRateUnit`

### Methods inherited from interface org.apache.cassandra.metrics.CassandraMetricsRegistry.MetricMBean

`objectName`

### Method Detail

#### getMin

    double getMin()

#### getMax

    double getMax()

#### getMean

    double getMean()

#### getStdDev

    double getStdDev()

#### get50thPercentile

    double get50thPercentile()

#### get75thPercentile

    double get75thPercentile()

#### get95thPercentile

    double get95thPercentile()

#### get98thPercentile

    double get98thPercentile()

#### get99thPercentile

    double get99thPercentile()

#### get999thPercentile

    double get999thPercentile()

#### values

    long[] values()

#### getDurationUnit

    java.lang.String getDurationUnit()